=== debian/changelog ===
curl (7.64.0-2ubuntu1.2) disco-security; urgency=medium

  * SECURITY UPDATE: double-free when using kerberos over FTP may cause
    denial-of-service
    - debian/patches/CVE-2019-5481.patch: update lib/security.c to avoid
      double-free on large memory allocation failures
    - CVE-2019-5481
  * SECURITY UPDATE: heap buffer overflow when receiving TFTP data may
    cause denial-of-service or remote code-execution
    - debian/patches/CVE-2019-5482.patch: ensure to use the correct block
      size when calling recvfrom() if the server returns an OACK without
      specifying a block size in lib/tftp.c
    - CVE-2019-5482

 -- Alex Murray <alex.murray@canonical.com>  Fri, 06 Sep 2019 14:50:00 +0930

curl (7.64.0-2ubuntu1.1) disco-security; urgency=medium

  * SECURITY UPDATE: Integer overflows in curl_url_set()
    - debian/patches/CVE-2019-5345.patch: limit sizes in lib/setopt.c,
      lib/urlapi.c, lib/urldata.h, tests/data/Makefile.inc,
      tests/data/test1559, tests/libtest/Makefile.inc,
      tests/libtest/lib1559.c.
    - CVE-2019-5345
  * SECURITY UPDATE: TFTP receive buffer overflow
    - debian/patches/CVE-2019-5346.patch: use the current blksize in
      lib/tftp.c.
    - CVE-2019-5346

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 May 2019 08:32:04 -0400

curl (7.64.0-2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
  * debian/control, debian/rules:
    - build with libssh instead of libssh2, that's a better maintained
      library and it's in Ubuntu main (lp: #311029)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2019 17:50:51 +0200

curl (7.64.0-2) unstable; urgency=medium

  * Fix infinite loop when fetching URLs with unreachable IPv6 (Closes: #922554)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 07 Mar 2019 20:02:35 +0000

curl (7.64.0-1ubuntu1) disco; urgency=medium

  * Resynchronize with Debian, remaining change
  * debian/control, debian/rules:
    - build with libssh instead of libssh2, that's a better maintained
      library and it's in Ubuntu main (lp: #311029)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Feb 2019 16:49:23 +0100

curl (7.64.0-1) unstable; urgency=medium

  * New upstream release
    + Fix NTLM type-2 out-of-bounds buffer read as per CVE-2018-16890
      https://curl.haxx.se/docs/CVE-2018-16890.html
    + Fix NTLMv2 type-3 header stack buffer overflow as per CVE-2019-3822
      https://curl.haxx.se/docs/CVE-2019-3822.html
    + Fix SMTP end-of-response out-of-bounds read as per CVE-2019-3823
      https://curl.haxx.se/docs/CVE-2019-3823.html
    + Fix HTTP negotiation with POST requests (Closes: #920267)
  * Refresh patches
  * Import fixes for zsh completion script generator (Closes: #92145)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 06 Feb 2019 22:33:05 +0000
