## curl 7.64.1.7

=== debian/changelog ===
curl (7.64.1.7-4+dde) buster; urgency=medium

  * fix CVE-2021-22946

 -- wangyouwan <wangyouwan@uniontech.com>  Wed, 16 Feb 2022 14:53:53 +0800

curl (7.64.1.6-4+security) buster; urgency=medium

  * upstream version 7.64.0-4+deb10u2,
    the correct uos version 7.64.0.6-4+security
  * Non-maintainer upload.
  * fix CVE-2021-22925

 -- yangmingjun <yangmingjun@uniontech.com>  Wed, 21 Jul 2021 17:02:44 +0800

curl (7.64.1.5-4+security) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2021-22898

 -- yangmingjun <yangmingjun@uniontech.com>  Thu, 25 May 2021 17:02:44 +0800

curl (7.64.1.4-4+security) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-8169 CVE-2020-8177 CVE-2020-8231 CVE-2020-8284 CVE-2020-8285
	CVE-2020-8286 CVE-2021-22876 CVE-2021-22890

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 16 Apr 2021 14:02:44 +0800

curl (7.64.0-4+deb10u2) buster-security; urgency=high

  * Fix partial password leak over DNS on HTTP redirect as per CVE-2020-8169
    (Closes: #965280)
    https://curl.haxx.se/docs/CVE-2020-8169.html
  * Fix local file overwrite as per CVE-2020-8177 (Closes: #965281)
    https://curl.se/docs/CVE-2020-8177.html
  * Fix use of wrong connect-only connection as per CVE-2020-8231
    (Closes: #968831)
    https://curl.se/docs/CVE-2020-8231.html
  * Don't trust FTP PASV responses by default as per CVE-2020-8284
    (Closes: #977163)
  * Fix FTP wildcard stack overflow as per CVE-2020-8285 (Closes: #977162)
    https://curl.se/docs/CVE-2020-8285.html
  * Make the OCSP verification verify the certificate id as per CVE-2020-8286
    (Closes: #977161)
    https://curl.se/docs/CVE-2020-8286.html
  * Fix credentials leak with automatic referer as per CVE-2021-22876
    https://curl.se/docs/CVE-2021-22876.html
  * Fix TLS 1.3 session ticket proxy host mixup as per CVE-2021-22890
    https://curl.se/docs/CVE-2021-22890.html

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 30 Mar 2021 21:56:00 +0100

curl (7.64.0-5) unstable; urgency=medium

  * National secret support version update.
  * Rebuild.

 -- liuxin <liuxin@uniontech.com>  Tue, 19 Jan 2021 09:36:38 +0800

curl (7.64.0-4+deb10u1) buster-security; urgency=high

  * Fix FTP-KRB double-free as per CVE-2019-5481 (Closes: #940009)
    https://curl.haxx.se/docs/CVE-2019-5481.html
  * Fix TFTP small blocksize heap buffer overflow as per CVE-2019-5482
    (Closes: #940010)
    https://curl.haxx.se/docs/CVE-2019-5482.html

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 22 Feb 2020 15:01:46 +0000

curl (7.64.0-4) unstable; urgency=medium

  * Fix TFTP receive buffer overflow as per CVE-2019-5436 (Closes: #929351)
    https://curl.haxx.se/docs/CVE-2019-5436.html
  * Fix integer overflow in curl_url_set() as per CVE-2019-5435 (Closes: #929352)
    https://curl.haxx.se/docs/CVE-2019-5435.html

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 14 Jun 2019 19:23:32 +0100

curl (7.64.0-3) unstable; urgency=medium

  * Fix potential crash in HTTP/2 code and busy loop at the end of connections
    (Closes: #927471)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 04 May 2019 12:51:06 +0100
