## curl 7.64.1.8

=== debian/changelog ===
curl (7.64.1.8-4+dde) buster; urgency=medium

  * fix CVE-2022-27776

 -- lishengyu <lishengyu@uniontech.com>  Sat, 07 May 2022 14:51:50 +0800
