=== debian/changelog ===
curl (7.64.1.9-4+dde) unstable; urgency=medium

  * fix CVE-2022-27781

 -- lishengyu <lishengyu@uniontech.com>  Mon, 16 May 2022 14:36:56 +0800
