## curl 7.64.1.10

=== debian/changelog ===
curl (7.64.1.10-4+dde) unstable; urgency=medium

  * fix CVE-2022-32206 CVE-2022-32208

 -- liaoyuan <liaoyuan@uniontech.com>  Tue, 28 Jun 2022 10:02:52 +0800
