## curl 7.64.1.12

=== debian/changelog ===
curl (7.64.1.12-deepin) unstable; urgency=medium

  * fix following CVE issues:
    CVE-2021-22924.patch
    CVE-2021-22947.patch
    CVE-2022-22576.patch
    CVE-2022-27782.patch
 
 -- Ding Heng <dingheng@uniontech.com>  Wed, 28 Sep 2022 15:56:03 +0800

curl (7.64.1.11-deepin) unstable; urgency=medium

  * update changelog.

 -- Hu Feng <hufeng@unionteh.com>  Tue, 16 Aug 2022 09:24:56 +0800
