## curl 7.64.1.14

=== debian/changelog ===
curl (7.64.1.14-deepin1) unstable; urgency=medium

  * fix CVE-2022-43552 CVE-2022-35252 CVE-2022-27774

 -- zengwei <zengwei1@uniotech.com>  Tue, 31 Jan 2023 12:20:46 +0800

curl (7.64.1.13-deepin1) unstable; urgency=medium

  * fix CVE-2022-32221

 -- zengwei <zengwei1@uniontech.com>  Sun, 29 Jan 2023 16:04:16 +0800
