## curl 7.65.3

=== debian/changelog ===
curl (7.65.3-1ubuntu3) eoan; urgency=medium

  * SECURITY UPDATE: double-free when using kerberos over FTP may cause
    denial-of-service
    - debian/patches/CVE-2019-5481.patch: update lib/security.c to avoid
      double-free on large memory allocation failures
    - CVE-2019-5481
  * SECURITY UPDATE: heap buffer overflow when receiving TFTP data may
    cause denial-of-service or remote code-execution
    - debian/patches/CVE-2019-5482.patch: ensure to use the correct block
      size when calling recvfrom() if the server returns an OACK without
      specifying a block size in lib/tftp.c
    - CVE-2019-5482

 -- Alex Murray <alex.murray@canonical.com>  Fri, 06 Sep 2019 14:52:01 +0930

curl (7.65.3-1ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 13:37:38 +0200

curl (7.65.3-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules: build with libssh instead of libssh2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Aug 2019 09:40:03 +0200

curl (7.65.3-1) unstable; urgency=medium

  * New upstream release
  * Drop 12_fix-man-errors.patch (merged upstream)
  * Remove Ian Jackson from Uploaders as he has never done an upload

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 09 Aug 2019 19:45:02 +0100

curl (7.65.1-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules: build with libssh instead of libssh2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jul 2019 15:20:26 +0200

curl (7.65.1-1) unstable; urgency=medium

  * New upstream release
    + Reduce verbose output (Closes: #926148)
    + Fix parsing URLs with link local addresses (Closes: #926812)
  * Drop patches merged upstream
  * Refresh patches
  * Bump STandards-Version to 4.4.0 (no changes needed)
  * Update entry in copyright for renamed files
  * Fix some man errors.
    Thanks to Bjarni Ingi Gislason for the patch (Closes: #926352)
  * Add Build-Depends-Package field to symbols files

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 13 Jul 2019 12:37:09 +0100

curl (7.64.0-4ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules: build with libssh instead of libssh2.
  * Dropped changes, included in Debian:
    - SECURITY UPDATE: Integer overflows in curl_url_set()
    - SECURITY UPDATE: TFTP receive buffer overflow

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Jun 2019 22:50:09 -0700

curl (7.64.0-3ubuntu2) eoan; urgency=medium

  * SECURITY UPDATE: Integer overflows in curl_url_set()
    - debian/patches/CVE-2019-5435.patch: limit sizes in lib/setopt.c,
      lib/urlapi.c, lib/urldata.h, tests/data/Makefile.inc,
      tests/data/test1559, tests/libtest/Makefile.inc,
      tests/libtest/lib1559.c.
    - CVE-2019-5435
  * SECURITY UPDATE: TFTP receive buffer overflow
    - debian/patches/CVE-2019-5436.patch: use the current blksize in
      lib/tftp.c.
    - CVE-2019-5436

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 May 2019 09:36:43 -0400

curl (7.64.0-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
  * debian/control, debian/rules:
    - build with libssh instead of libssh2, that's a better maintained
      library and it's in Ubuntu main (lp: #311029)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 May 2019 10:02:19 +0200
