=== debian/changelog ===
curl (7.67.0-2) unstable; urgency=medium

  * Restore :native annotation for python3 Build-Depends.
    Thanks to Helmut Grohne for the patch (Closes: #945928)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 01 Dec 2019 13:29:28 +0000

curl (7.67.0-1) unstable; urgency=medium

  * New upstream release
  * Replace python with python3 in Build-Depends (Closes: #942984)
  * Bump Standards-Version to 4.4.1 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 30 Nov 2019 12:45:07 +0000

curl (7.66.0-1) unstable; urgency=medium

  * New upstream release (Closes: #940024)
    + Fix FTP-KRB double-free as per CVE-2019-5481 (Closes: #940009)
      https://curl.haxx.se/docs/CVE-2019-5481.html
    + Fix TFTP small blocksize heap buffer overflow as per CVE-2019-5482
      (Closes: #940010)
      https://curl.haxx.se/docs/CVE-2019-5482.html
  * Refresh patches
  * Enable brotli support (Closes: #940129)
  * Update *.symbols files

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 15 Sep 2019 15:47:05 +0100
