=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: curl
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Build-Depends: debhelper (>= 12),
  autoconf,
  automake,
@@ -10,6 +9,7 @@
  dh-exec,
  dpkg-dev (>= 1.17.14~),
  groff-base,
+ libbrotli-dev,
  libgnutls28-dev,
  libidn2-0-dev,
  libkrb5-dev,
@@ -18,16 +18,16 @@
  libnss3-dev,
  libpsl-dev,
  librtmp-dev (>= 2.4+20131018.git79459a2-3~),
- libssh-dev,
+ libssh2-1-dev,
  libssl-dev (>= 1.1),
  libtool,
  openssh-server <!nocheck>,
- python:native,
+ python3:native,
  quilt,
  stunnel4 <!nocheck>,
  zlib1g-dev
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/curl.git
 Vcs-Browser: https://salsa.debian.org/debian/curl
 Homepage: http://curl.haxx.se
